BambooIsland: SceneObject_FBO Class Reference

BambooIsland Abgabe 2

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# SceneObject_FBO Class Reference

A SceneObject which renders all children in a fbo. More...

`#include <SceneObject_FBO.h>`

Inheritance diagram for SceneObject_FBO:

List of all members.

## Public Member Functions

virtual void | itlRender ()
| SceneObject_FBO (int iWidth, int iHeight, const char *szColorTextureName, bool bFloating16=false, bool bMipMapped=false)
| Constructor for a SceneObject_FBO, creates a color texture and a renderbuffer for the depth.
| SceneObject_FBO (int iWidth, int iHeight, const char *szColorTextureName, const char *szDepthTextureName, bool bMipMapped=false)
| Constructor for a SceneObject_FBO, creates a color texture and a depth texture.
| ~SceneObject_FBO ()
| Destructor of the fbo, releases ressources.

## Detailed Description

A SceneObject which renders all children in a fbo.

This SceneObject is not a real SceneObject as an object in the scene, rather it's an object which can be used in the sceneobjects-tree to render all children in a fbo. This object renders all children in a fbo and registers the created textures in the TextureManager, which means that the resulting textures can simply used by TextureManager::useTexture(...). The name for the textures must be set in the used constructor.

Definition at line 22 of file SceneObject_FBO.h.

## Constructor & Destructor Documentation

SceneObject_FBO::SceneObject_FBO | ( | int | iWidth,
|  | int | iHeight,
|  | const char * | szColorTextureName,
|  | bool | bFloating16 = `false`,
|  | bool | bMipMapped = `false`
| ) |  |

Constructor for a SceneObject_FBO, creates a color texture and a renderbuffer for the depth.

Constructor for creating a fbo with a color texture attached.

This constructor creates a SceneObject which encapsulates a fbo with an attached color texture. All child objects of this SceneObject get rendered in this fbo and the resulting color texture can be accessed through the given name (szColorTextureName) of the texture (by using the TextureManager)

Parameters:

  iWidth | The wanted with of the fbo
  iHeight | THe wanted height of the fbo
  szColorTextureName | The texture name which is used to register the color texture at the TextureManager
  bFloating16 | If true, the generated color texture used 16bit floating precision.
  bMipMapped | If true, mipmaps for the color texture are generated after each update of the color texture

Definition at line 21 of file SceneObject_FBO.cpp.

SceneObject_FBO::SceneObject_FBO | ( | int | iWidth,
|  | int | iHeight,
|  | const char * | szColorTextureName,
|  | const char * | szDepthTextureName,
|  | bool | bMipMapped = `false`
| ) |  |

Constructor for a SceneObject_FBO, creates a color texture and a depth texture.

Constructor for creating a fbo with a color- and depth texture attached.

This constructor creates a SceneObject which encapsulates a fbo with an attached color texture and an attached depth texture. All child objects of this SceneObject get rendered in this fbo and the resulting color and depth textures can be accessed through the given names (by using the TextureManager)

Parameters:

  iWidth | The wanted with of the fbo
  iHeight | THe wanted height of the fbo
  szColorTextureName | The texture name which is used to register the color texture at the TextureManager
  szDepthTextureName | The texture name which is used to register the depth texture at the TextureManager
  bMipMapped | If true, mipmaps for the color texture are generated after each update of the color texture

Definition at line 117 of file SceneObject_FBO.cpp.

## Member Function Documentation

void SceneObject_FBO::itlRender | ( |  | ) | `[virtual]`

This method is called internally AFTER rendering the children, and unbinds the fbo.

Reimplemented from SceneObject.

Definition at line 249 of file SceneObject_FBO.cpp.

The documentation for this class was generated from the following files:

- C:/Users/easterbunny/Desktop/Echtzeitgraphik-LU/trunk/src/SceneObject_FBO.h
- C:/Users/easterbunny/Desktop/Echtzeitgraphik-LU/trunk/src/SceneObject_FBO.cpp

All Classes Functions Variables Enumerations Enumerator